package com.care.bms.controller;

import com.care.bms.service.BmsEventOrderService;
import com.care.common.util.Result;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * @Author: lilt
 * @Date: 2021/5/26
 * @Desc:
 */
@RestController
@Api(value = "TestController", tags = { "测试" })
@Slf4j
@RequestMapping("/bms/event")
public class TestController {

    @Autowired
    private BmsEventOrderService bmsEventOrderService;

    @GetMapping("/testData")
    @ApiOperation(tags = {"未处理事件"},value = "模拟生成定单数据")
    public Result<Object> listMyHandle(){
            this.bmsEventOrderService.insertTestData();
            return Result.success("生成成功");
    }
}
