package com.care.common.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.util.Date;

/**
 * 管家工单(CareEventOrderChamb)实体类
 *
 * @author makejava
 * @since 2021-06-02 23:31:34
 */

@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("care_event_order_chamb")
@ApiModel(value = "管家工单", description = "")
public class CareEventOrderChamb implements Serializable {
    private static final long serialVersionUID = -77047215922999145L;

    @TableId(value = "ID", type = IdType.AUTO)
    private Long id;


    @ApiModelProperty("机构ID")
    @TableField("ORG_ID")
    private Long orgId;


    @ApiModelProperty("服务站ID")
    @TableField("STATION_ID")
    private Long stationId;


    @ApiModelProperty("房屋ID")
    @TableField("HOUSE_ID")
    private Long houseId;


    @ApiModelProperty("工单ID")
    @TableField("ORDER_ID")
    private Long orderId;


    @ApiModelProperty("管家ID")
    @TableField("CHAMB_ID")
    private Long chambId;


    @ApiModelProperty("管家姓名")
    @TableField("CHAMB_NAME")
    private String chambName;


    @ApiModelProperty("联系电话")
    @TableField("PHONE")
    private String phone;


    @ApiModelProperty("状态： 0：未联系  1已联系  2 到达  3离开")
    @TableField("STATUS")
    private Integer status;


    @ApiModelProperty("到达时间")
    @TableField("DAODA_TIME")
    private Date daodaTime;


    @ApiModelProperty("离开时间")
    @TableField("LIKAI_TIME")
    private Date likaiTime;


    @ApiModelProperty("createTime")
    @TableField("CREATE_TIME")
    private Date createTime;


    @ApiModelProperty("modifyTime")
    @TableField("MODIFY_TIME")
    private Date modifyTime;


}