package com.care.common.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;

/**
 * 设备-房屋关系表(CareHouseDeviceRel)实体类
 *
 * @author makejava
 * @since 2021-06-05 22:50:50
 */

@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("care_house_device_rel")
@ApiModel(value = "设备-房屋关系表", description = "")
public class CareHouseDeviceRel implements Serializable {
    private static final long serialVersionUID = 542599983021196368L;

    @TableId(value = "ID", type = IdType.AUTO)
    private Long id;


    @ApiModelProperty("设备ID")
    @TableField("DEV_ID")
    private Long devId;


    @ApiModelProperty("房屋ID")
    @TableField("HOUSE_ID")
    private Long houseId;


    @ApiModelProperty("设备别名：例如卧室")
    @TableField("DEV_ALIAS_NAME")
    private String devAliasName;


}