package com.care.common.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.care.common.entity.CareHouseContact;
import com.care.common.mapper.CareHouseContactMapper;
import com.care.common.service.CareHouseContactService;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * 被监护人紧急联系人(CareHouseContact)表服务实现类
 *
 * @author makejava
 * @since 2021-06-02 21:43:00
 */
@Service
public class CareHouseContactServiceImpl extends ServiceImpl<CareHouseContactMapper, CareHouseContact> implements CareHouseContactService {
    /**
     * 查询老人-紧急联系人
     *
     * @param houseId
     * @return
     */
    @Override
    public List<CareHouseContact> queryContactByHouseId(Long houseId) {
        QueryWrapper<CareHouseContact> queryWrapper = new QueryWrapper<>();
        queryWrapper.lambda().eq(CareHouseContact::getHouseId,houseId);
        return this.list(queryWrapper);
    }
}