package com.care.common.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.care.common.entity.CcCallResult;
import com.care.common.mapper.CcCallResultMapper;
import com.care.common.service.CcCallResultService;
import com.care.common.vo.outcall.CcCallResultVO;
import org.springframework.stereotype.Service;

/**
 * 外呼结果表(CcCallResult)表服务实现类
 *
 * @author makejava
 * @since 2021-05-30 13:13:26
 */
@Service
public class CcCallResultServiceImpl extends ServiceImpl<CcCallResultMapper, CcCallResult> implements CcCallResultService {

    /**
     * 获取呼叫结果
     *
     * @param id
     * @return
     */
    @Override
    public CcCallResultVO getCallResult(Long id) {
        return this.baseMapper.getCallResult(id);
    }
}