package com.care.common.vo.event;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * 事件-坐席处理历史(CareEventOrderHandleHis)实体类
 *
 * @author makejava
 * @since 2021-05-29 16:02:24
 */

@Data
@ApiModel(value = "事件-处理历史", description = "")
public class OrderHandleHisVO implements Serializable {
    private static final long serialVersionUID = 231064386588299579L;

    @TableId(value = "ID", type = IdType.AUTO)
    private Long id;

    @ApiModelProperty("日志类型：0: 老人事件  1：联系老人 2：联系紧急联系人 3联系管家 4联系120  5钥匙申请 6钥匙授权 7管家到达打卡 8管家归还钥匙 9管家离开打卡 10上报处理结果")
    private Integer logType;


    @ApiModelProperty("操作对象")
    private Long logObjectId;


    @ApiModelProperty("操作对象")
    private String logObjectName;


    @ApiModelProperty("操作结果")
    private String logResult;


    @ApiModelProperty("chanmb管家 contact紧联系人")
    private String opUserRole;


    @ApiModelProperty("处理人ID")
    private Long opUserId;


    @ApiModelProperty("处理人姓名")
    private String opUserName;


    @ApiModelProperty("createTime")
    private Date createTime;


    @ApiModelProperty("modifyTime")
    private Date modifyTime;


    @ApiModelProperty("关系类别")
    private String relationTypeDesc;


    @ApiModelProperty("呼叫结果ID")
    private Long callResultId;


}